package com.gh.gamecenter.energy.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IErrorHelperProvider
import com.gh.gamecenter.core.utils.ToastUtils
import retrofit2.HttpException

@Route(path = RouteConsts.provider.errorHelper, name = "ErrorHelper暴露服务")
class ErrorHelperProviderImpl : IErrorHelperProvider {

    override fun handleError(
        context: Context,
        errorString: String?,
        showHighPriorityHint: Boolean
    ) {
        ToastUtils.toast("调用->ErrorHelperProviderImpl.handleError")
    }

    override fun handleLoginError(context: Context, httpException: HttpException?) {
        ToastUtils.toast("调用->ErrorHelperProviderImpl.handleLoginError")
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}